package com.happy.dao;

import com.happy.Model.BookingComment;
import com.happy.vo.*;

import java.util.List;

public interface BookingCommentDao {
    String insertBookingComment(BookingComment bookingComment);

    List<BookingComment> queryPage(String sqlx, int page, int rows);

    int queryTotal(String sqlx);

    List<BookingComment> getByBookId(String bookId);

    List<BookingComment> getByParentId(String parentId);

    List<BookingComment> getByCommentId(String commentId);

    int insterCommpent(BookingComment bookingComment);

    int updateCommpentStatus(BookingComment bookingComment);

    BookingComment queryById(String id);

    int update(BookingComment bookingComment);
    List<BookingCommentPageVo> evaluatePage(String hotelId, int page, int rows);

    int evaluateTotal(String hotelId);

    List<BookingCommentPageVo> evaluatePagepicture(String hotelId, int page, int rows);

    int evaluateTotalpicture(String hotelId);

    List<BookingCommentPageVo> evaluatePageComment(String hotelId, int page, int rows);

    int evaluateTotalComment(String hotelId);

    EvaluatePageVo evaluateScore(String hotelId);

    List<CommentVo> commentVoList(String bookingCommentId);

    CommentDetailsVo commentDetails(String bookingCommentId,Integer status);

    List<PersonageCommentVo> personageNotCommentPage(String usersId, int page, int rows);

    List<PersonageCommentVo> personageCommentPage(String usersId, int page, int rows);

    int personageNotCommentTotal(String usersId);

    int personageCommentTotal(String usersId);

    PersonageDetailsVo personageDetails(String bookingCommentId);

    BookingComment getBycommentId(String commentId);

    List<PersonageCommentVo> auditPageComment(String usersId, int page, int rows);

    int auditTotalComment(String usersId);

    List<PersonageCommentVo> refuseAuditPageComment(String usersId, int page, int rows);

    int refuseAuditTotalComment(String usersId);

}
